
Foreman - Bug #26473

[Google Compute Resource] fix broken changes with latest API changes and fog-google gem update

03/28/2019 09:10 AM - Kavita Gaikwad

Status: Closed   

Priority: Normal   

Assignee: Kavita Gaikwad   

Category: Compute resources - GCE   

Target version:    

Difficulty:  Fixed in Releases: 1.22.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6634

  

Description

Related issues:

Related to Foreman - Bug #26082: Fix GCE tests using mocks inside fog-google New

Related to Foreman - Support #25636: Connect Foreman 1.20 to GCE Resolved

Related to Foreman - Bug #22749: Image username is ignored on GCE Closed

Related to Foreman - Bug #13053: undefined method `persisted?' for #<Hash:0x0... Resolved

Related to Foreman - Bug #12139: Error trying to save Compute profiles on GCE Closed

Related to Foreman - Bug #8029: GCE - new host creates fails on Zone missing ... Closed

Related to Foreman - Bug #4179: Invalid value for field 'resource.networkInte... Closed

Related to Foreman - Feature #26496: User Data support in GCE using cloud-init Closed

Related to Foreman - Bug #26526: Unable to load vms list under compute resour... Closed

Associated revisions

Revision c41c61c9 - 04/08/2019 09:28 AM - Ondřej Pražák

Fixes #26473 - GCE changes as per fog-google changes

Revision 973c7813 - 04/08/2019 09:28 AM - Kavita Gaikwad

Refs #26473 - argumentError on instance.insert

Revision df0ecc97 - 04/08/2019 09:28 AM - Kavita Gaikwad

Refs #26473 - validation error on multiple disks in GCE

Disk object is returning hash with symbol keys so renaming key

from 'DeviceName ' to ':device_name'

Revision 34876ef5 - 04/08/2019 09:28 AM - Kavita Gaikwad

Refs #26473 - refactored code & removed unwanted code in gce.rb

This commit includes

- modified help text of certificate_path on GCE compute_resource form

- show volume information for host correctly

History

#1 - 03/28/2019 09:11 AM - Kavita Gaikwad

- Related to Bug #26442: The deleted additional disk from Foreman is being created in VM in GCE added

#2 - 03/28/2019 09:11 AM - Kavita Gaikwad

- Related to Bug #26082: Fix GCE tests using mocks inside fog-google added
#3 - 03/28/2019 09:12 AM - Kavita Gaikwad

- Related to Support #25636: Connect Foreman 1.20 to GCE added

#4 - 03/28/2019 09:14 AM - Kavita Gaikwad

- Related to Bug #22749: Image username is ignored on GCE added

#5 - 03/28/2019 09:16 AM - Kavita Gaikwad

- Related to Bug #13053: undefined method `persisted?' for #<Hash:0x007f2481f21258> added

#6 - 03/28/2019 09:16 AM - Kavita Gaikwad

- Related to Bug #12139: Error trying to save Compute profiles on GCE added

#7 - 03/28/2019 09:18 AM - Kavita Gaikwad

- Related to Bug #8029: GCE - new host creates fails on Zone missing error added

#8 - 03/28/2019 09:18 AM - Kavita Gaikwad

- Related to Bug #4179: Invalid value for field 'resource.networkInterfaces[0].accessConfigs[0].natIP': 'false'.  Must be an IP address added

#9 - 03/28/2019 09:20 AM - Kavita Gaikwad

- Subject changed from Fix broken GCE with latest API changes and fog-google gem update to [Google Compute Resource] fix broken changes with

latest API changes and fog-google gem update

#10 - 04/01/2019 08:04 AM - Kavita Gaikwad

- Related to Feature #26496: User Data support in GCE using cloud-init added

#11 - 04/01/2019 09:19 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/6634 added

#12 - 04/03/2019 07:04 AM - Kavita Gaikwad

- Related to deleted (Bug #26442: The deleted additional disk from Foreman is being created in VM in GCE)

#13 - 04/03/2019 08:51 AM - The Foreman Bot

- Status changed from New to Ready For Testing

#14 - 04/03/2019 12:57 PM - Kavita Gaikwad

- Related to Bug #26526: Unable to load vms list under compute resource for GCE added

#15 - 04/08/2019 09:30 AM - Tomer Brisker

- Fixed in Releases 1.22.0 added

#16 - 04/08/2019 10:01 AM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

Applied in changeset c41c61c9378bea0b9a30a472439b754a2e022b7f.
